Subject: RE: [dhcwg] Client message without Client Identifier option??

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Mon, 1 Aug 2005 09:30:09 -0400

An INFORMATION-REQUEST does not require a Client Identifier Option;
therefore the REPLY can only contain one if the INFORMATION-REQUEST
contained one.

18.1.5. Creation and Transmission of Information-request Messages

   ...

   The client SHOULD include a Client Identifier option to identify
   itself to the server.  If the client does not include a Client
   Identifier option, the server will not be able to return any client-
   specific options to the client, or the server may choose not to
   respond to the message at all.  The client MUST include a Client
   Identifier option if the Information-Request message will be
   authenticated. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of haoda
> Sent: Wednesday, July 27, 2005 9:58 PM
> To: [email-masked]
> Subject: [dhcwg] Client message without Client Identifier option??
> 
> Good morning, everyone!
> 
> I have a question about the message validation of Client 
> Identifier option.
> 
> At first,here are 2 clips from the RFC3315,
> 15.10. Reply Message
> ......(omit)
> If the client included a Client Identifier option in the original
> message, the Reply message MUST include a Client Identifier option
> and the contents of the Client Identifier option MUST match the DUID
> of the client; OR, if the client did not include a Client Identifier
>  
> -----------------------------------------------------------------
> option in the original message, the Reply message MUST NOT include a
> ---------------------------------------------
> Client Identifier option.
> 
> Also in RFC3315,
> 18.1.1. Creation and Transmission of Request Messages
>  ......(omit)
> The client MUST include a Client Identifier option to identify itself
> to the server. 
> 
> Based texts quoted above, I think all the messages of client  
> must include Client Identifier option. But in 15.10, the RFC says
>  "if the client did not include a Client Identifier option", and on 
> this condition, "the Reply message MUST NOT include a Client
>  Identifier option."
> 
> I am not clearly in this topic and expect your reply.
> 
> Which message from the client can be applied to?
> I think there are not any message from client without Client 
> Identifier
> option. Maybe it is only a assume that doesn't exist in actual
> application?
> 
> Thanks.
> 
> Haoda
> 
>     
>    
>    
> 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
> 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg